## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global     reponame   %{name}.repo
%global     repodir    %{_sysconfdir}/yum.repos.d
%global     thirdparty %{_prefix}/lib/fedora-third-party/conf.d
# 0/1 may vary in time, and is always enabled to 1 per FESCO exception
%global     enabled_by_default 0

Name:       adoptium-temurin-java-repository
Version:    1
Release:    %autorelease
Summary:    Fedora package repository files for yum and dnf along with gpg public keys

License:    EPL-2.0
URL:        https://adoptium.net/installation/linux/#_centosrhelfedora_instructions
Source0:    LICENSE
Source1:    %{name}.conf
Source2:    %{reponame}
Source3:    README.md

BuildArch:  noarch
# fedora-third-party contains tools to work with 3rd party repos and owns fedora-third-party/conf.d/ directory
Requires:   fedora-third-party


%description
This package adds configuration to add a remote repository
of https://adoptium.net/installation/linux/#_centosrhelfedora_instructions ,
if third-party repositories are enabled on a Fedora Linux system.
This repository contains all JDKS which are live and not available in fedora 
as per https://fedoraproject.org/wiki/Changes/ThirdPartyLegacyJdks .
It (4.11.2024) installs: temurin-11-jdk temurin-11-jre temurin-17-jdk temurin-17-jre temurin-21-jdk
 temurin-21-jre temurin-22-jdk temurin-22-jre temurin-23-jdk temurin-23-jre temurin-8-jdk
 temurin-8-jre
Warning, jdk contains both jre and jdk, so if you install jdk and jre (of same version)
you will have two java alternatives masters, and one javac master.
Since f42 it will be obsoleting retired java-(1.8.0,11,17)-openjdk-*

%prep
cat %{SOURCE2} |  sed "s/^enabled=0/enabled=%{enabled_by_default}/" > %{reponame}

%build

%install
install -D -m0644 %{SOURCE0} %{buildroot}%{_datadir}/licenses/%{name}/LICENSE
install -D -m0644 %{SOURCE1} -t %{buildroot}%{thirdparty}/
install -D -m0644 %{reponame} -t %{buildroot}%{repodir}/
install -D -m0644 %{SOURCE3} -t %{buildroot}%{_docdir}/%{name}/

%files
%license LICENSE
%{thirdparty}/*
%config(noreplace) %{repodir}/%{reponame}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Mon Nov 04 2024 Jiri Vanek <jvanek@redhat.com> - 1-3
- MAde repository config no replace, improved description

* Mon Oct 21 2024 Jiri Vanek <jvanek@redhat.com> - 1-2
- Fixing rpmlint from review

* Mon Oct 21 2024 Jiri Vanek <jvanek@redhat.com> - 1-1
- Initial import
## END: Generated by rpmautospec
